using System;
using System.Linq;
using Microsoft.EntityFrameworkCore;
using Publications;
using Xunit;

namespace test
{
    public class UnitTest1
    {
        [Fact]
        public void CanRetrieveDataCreatedBySeeding () {
            
             var options = new DbContextOptionsBuilder<PublicationsContext> ().UseInMemoryDatabase ("RetrieveSeedData").Options;
        
            using (var context = new PublicationsContext (options)) {
               context.Database.EnsureCreated();
                var storedMag = context.Magazines.FirstOrDefault ();
                Assert.Equal ("MSDN Magazine", storedMag.Name);
            }
         }
    }
}
